Subject: bug#844: systemd-boot-efi: Broken man pages

From: murzik <[email-masked]>
Date: Thu, 04 Apr 2024 13:23:34 +1100

Interesting. but it seems to me that adding a dependency on systemd 
because of one (!!) documentation file will be a very strange decision. 
this file will most likely be moved from the systemd package, or even 
just a copy of it added to the package.
Also, I found an alternative - stubby core.
so even if a dependency on systemd is added, it shouldn't cause any 
inconvenience
Interesting. but it seems to me that adding a dependency on systemd 
because of one (!!) documentation file will be a very strange decision. 
this file will most likely be moved from the systemd package, or even 
just a copy of it added to the package.
Also, I found an alternative - stubby core.
so even if a dependency on systemd is added, it shouldn't cause any 
inconvenience
Interesting. but it seems to me that adding a dependency on systemd 
because of one (!!) documentation file will be a very strange decision. 
this file will most likely be moved from the systemd package, or even 
just a copy of it added to the package.
Also, I found an alternative - stubby core.
so even if a dependency on systemd is added, it shouldn't cause any 
inconvenience
Interesting. but it seems to me that adding a dependency on systemd 
because of one (!!) documentation file will be a very strange decision. 
this file will most likely be moved from the systemd package, or even 
just a copy of it added to the package.
Also, I found an alternative - stubby 
https://github.com/puzzleos/stubby.
so even if a dependency on systemd is added, it shouldn't cause any 
inconvenience.
I'll report it to debian bug tracker later.

On Wed, Apr 3 2024 at 01:11:15 PM +01:00:00, Mark Hindley 
<[email-masked]> wrote:
> On Wed, Apr 03, 2024 at 10:07:50PM +1100, murzik wrote:
>>     As far as I can tell, the project has experience in this.
>>     we already have systemd-bootchart; systmed-sysusers-standalone;
>>     systemd-tpmfiles-standalone; systemd-oomd.. I don't think adding 
>> one
>>     standalone package will be a problem.
> 
> All of those are Debian packages. Devuan doesn't produce any systemd
> standalone packages.
> 
> Mark